MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032250Open CASCADE[OCCT] OCCT:Documentationpublic2021-03-27 10:042021-04-03 12:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032250: Documentation - pseudographics within gp_Trsf description is not properly escaped
Descriptiongp_Trsf description contains pseudographics which is not escaped and converted into broken text by Doxygen:

//! V1   V2   V3    T       XYZ        XYZ
//! | a11  a12  a13   a14 |   | x |      | x'|
//! | a21  a22  a23   a24 |   | y |      | y'|
//! | a31  a32  a33   a34 |   | z |   =  | z'|
//! |  0    0    0     1  |   | 1 |      | 1 |
//!
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon gp_Trsf_docs.png (12,601 bytes) 2021-03-27 10:04

- Relationships

-  Notes
(0099789)
git (administrator)
2021-03-27 14:45

Branch CR32250 has been created by kgv.

SHA-1: d4a8ebf0013d0e2bf12f693c312b25bc831a5b17


Detailed log of new commits:

Author: kgv
Date: Sat Mar 27 14:45:06 2021 +0300

    0032250: Documentation - pseudographics within gp_Trsf description is not properly escaped
    
    Added @code tags to documentation of several classes in the package gp.
(0099790)
kgv (developer)
2021-03-27 15:44

Patch is ready for review
- OCCT: branch CR32250.
(0099833)
abv (manager)
2021-03-29 21:40

Reviewed, please integrate.

Would not it be reasonable to use TeX formulae (supported in Doxygen via MathJAX) instead of @code where math expressions are included?
(0099834)
kgv (developer)
2021-03-29 21:49

I've though about TeX, but I guess that this would make formulae unreadable in IDE editor - good for HTML export, but not that nice for developer.
(0100017)
bugmaster (administrator)
2021-04-03 11:56

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100061)
git (administrator)
2021-04-03 12:50

Branch CR32250 has been deleted by inv.

SHA-1: d4a8ebf0013d0e2bf12f693c312b25bc831a5b17

- Related Changesets
occt: master 08eda8e3
Timestamp: 2021-03-27 11:45:06
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032250: Documentation - pseudographics within gp_Trsf description is not properly escaped

Added @code tags to documentation of several classes in the package gp.
mod - src/gp/gp_Elips.hxx Diff ] File ]
mod - src/gp/gp_Elips2d.hxx Diff ] File ]
mod - src/gp/gp_GTrsf.hxx Diff ] File ]
mod - src/gp/gp_GTrsf2d.hxx Diff ] File ]
mod - src/gp/gp_Hypr.hxx Diff ] File ]
mod - src/gp/gp_Hypr2d.hxx Diff ] File ]
mod - src/gp/gp_Mat.hxx Diff ] File ]
mod - src/gp/gp_Mat2d.hxx Diff ] File ]
mod - src/gp/gp_Parab.hxx Diff ] File ]
mod - src/gp/gp_Parab2d.hxx Diff ] File ]
mod - src/gp/gp_Pln.hxx Diff ] File ]
mod - src/gp/gp_Quaternion.hxx Diff ] File ]
mod - src/gp/gp_Sphere.hxx Diff ] File ]
mod - src/gp/gp_Torus.hxx Diff ] File ]
mod - src/gp/gp_Trsf.hxx Diff ] File ]
mod - src/gp/gp_Trsf2d.hxx Diff ] File ]
mod - src/gp/gp_XY.hxx Diff ] File ]
mod - src/gp/gp_XYZ.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-27 10:04 kgv New Issue
2021-03-27 10:04 kgv Assigned To => abv
2021-03-27 10:04 kgv File Added: gp_Trsf_docs.png
2021-03-27 14:45 git Note Added: 0099789
2021-03-27 15:44 kgv Note Added: 0099790
2021-03-27 15:44 kgv Status new => resolved
2021-03-29 21:40 abv Note Added: 0099833
2021-03-29 21:40 abv Assigned To abv => bugmaster
2021-03-29 21:40 abv Status resolved => reviewed
2021-03-29 21:49 kgv Note Added: 0099834
2021-04-03 11:56 bugmaster Note Added: 0100017
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:01 bugmaster Test case number => Not required
2021-04-03 12:13 bugmaster Changeset attached => occt master 08eda8e3
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100061


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker